Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw
Class AbstractCSWRequest

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.csw.AbstractCSWRequest

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

Direct Known Subclasses:
  DescribeRecord, GetDomain, GetRecordById, GetRecords, GetRepositoryItem

    public class AbstractCSWRequest

extends AbstractOGCWebServiceRequest

Abstract base class for requests to catalogue services (CSW).

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`AbstractCSWRequest(String version, String id, Map<String,String> vendorSpecificParameter)`

Method Summary
`protected static Map<String,URI>` | `getNSMappings(String nsString)` Extracts the namespace-mappings from the given parameter as specified for the NAMESPACE-parameter in the KVP-encoding.
`String` | `getServiceName()` returns 'CSW' as service name

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractCSWRequest

    public AbstractCSWRequest(String version,
                              String id,
                              Map<String,String> vendorSpecificParameter)

Parameters:
  `version` -
  `id` -
  `vendorSpecificParameter` -

Method Detail

### getServiceName

    public String getServiceName()

  returns 'CSW' as service name

  Returns:
    the name of the service that is targeted by the request

### getNSMappings

    protected static Map<String,URI> getNSMappings(String nsString)
                                            throws InvalidParameterValueException

  Extracts the namespace-mappings from the given parameter as specified for the NAMESPACE-parameter in the KVP-encoding.

  Please note that the expected syntax of the CSW NAMESPACE parameter differs from the NAMESPACE parameter used in the WFS specification.

  Parameters:
    `nsString` - contains a list of [prefix:]uri-entries, the entries of the list are separated by the ','-character
  Returns:
    keys are Strings (prefixes), values are URIs
  Throws:
    `InvalidParameterValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org